;
; File Name: cyfitteriar.inc
; 
; PSoC Creator  4.2
;
; Description:
; 
;
;-------------------------------------------------------------------------------
; Copyright (c) 2007-2018 Cypress Semiconductor.  All rights reserved.
; You may use this file only in accordance with the license, terms, conditions, 
; disclaimers, and limitations in the end user license agreement accompanying 
; the software package with which this file was provided.
;-------------------------------------------------------------------------------

#ifndef INCLUDED_CYFITTERIAR_INC
#define INCLUDED_CYFITTERIAR_INC
    INCLUDE cydeviceiar.inc
    INCLUDE cydeviceiar_trm.inc

/* DC */
DC__0__INTTYPE EQU CYREG_PICU12_INTTYPE3
DC__0__MASK EQU 0x08
DC__0__PC EQU CYREG_PRT12_PC3
DC__0__PORT EQU 12
DC__0__SHIFT EQU 3
DC__AG EQU CYREG_PRT12_AG
DC__BIE EQU CYREG_PRT12_BIE
DC__BIT_MASK EQU CYREG_PRT12_BIT_MASK
DC__BYP EQU CYREG_PRT12_BYP
DC__DM0 EQU CYREG_PRT12_DM0
DC__DM1 EQU CYREG_PRT12_DM1
DC__DM2 EQU CYREG_PRT12_DM2
DC__DR EQU CYREG_PRT12_DR
DC__INP_DIS EQU CYREG_PRT12_INP_DIS
DC__INTTYPE_BASE EQU CYDEV_PICU_INTTYPE_PICU12_BASE
DC__MASK EQU 0x08
DC__PORT EQU 12
DC__PRT EQU CYREG_PRT12_PRT
DC__PRTDSI__DBL_SYNC_IN EQU CYREG_PRT12_DBL_SYNC_IN
DC__PRTDSI__OE_SEL0 EQU CYREG_PRT12_OE_SEL0
DC__PRTDSI__OE_SEL1 EQU CYREG_PRT12_OE_SEL1
DC__PRTDSI__OUT_SEL0 EQU CYREG_PRT12_OUT_SEL0
DC__PRTDSI__OUT_SEL1 EQU CYREG_PRT12_OUT_SEL1
DC__PRTDSI__SYNC_OUT EQU CYREG_PRT12_SYNC_OUT
DC__PS EQU CYREG_PRT12_PS
DC__SHIFT EQU 3
DC__SIO_CFG EQU CYREG_PRT12_SIO_CFG
DC__SIO_DIFF EQU CYREG_PRT12_SIO_DIFF
DC__SIO_HYST_EN EQU CYREG_PRT12_SIO_HYST_EN
DC__SIO_REG_HIFREQ EQU CYREG_PRT12_SIO_REG_HIFREQ
DC__SLW EQU CYREG_PRT12_SLW

/* nCS */
nCS__0__INTTYPE EQU CYREG_PICU12_INTTYPE6
nCS__0__MASK EQU 0x40
nCS__0__PC EQU CYREG_PRT12_PC6
nCS__0__PORT EQU 12
nCS__0__SHIFT EQU 6
nCS__AG EQU CYREG_PRT12_AG
nCS__BIE EQU CYREG_PRT12_BIE
nCS__BIT_MASK EQU CYREG_PRT12_BIT_MASK
nCS__BYP EQU CYREG_PRT12_BYP
nCS__DM0 EQU CYREG_PRT12_DM0
nCS__DM1 EQU CYREG_PRT12_DM1
nCS__DM2 EQU CYREG_PRT12_DM2
nCS__DR EQU CYREG_PRT12_DR
nCS__INP_DIS EQU CYREG_PRT12_INP_DIS
nCS__INTTYPE_BASE EQU CYDEV_PICU_INTTYPE_PICU12_BASE
nCS__MASK EQU 0x40
nCS__PORT EQU 12
nCS__PRT EQU CYREG_PRT12_PRT
nCS__PRTDSI__DBL_SYNC_IN EQU CYREG_PRT12_DBL_SYNC_IN
nCS__PRTDSI__OE_SEL0 EQU CYREG_PRT12_OE_SEL0
nCS__PRTDSI__OE_SEL1 EQU CYREG_PRT12_OE_SEL1
nCS__PRTDSI__OUT_SEL0 EQU CYREG_PRT12_OUT_SEL0
nCS__PRTDSI__OUT_SEL1 EQU CYREG_PRT12_OUT_SEL1
nCS__PRTDSI__SYNC_OUT EQU CYREG_PRT12_SYNC_OUT
nCS__PS EQU CYREG_PRT12_PS
nCS__SHIFT EQU 6
nCS__SIO_CFG EQU CYREG_PRT12_SIO_CFG
nCS__SIO_DIFF EQU CYREG_PRT12_SIO_DIFF
nCS__SIO_HYST_EN EQU CYREG_PRT12_SIO_HYST_EN
nCS__SIO_REG_HIFREQ EQU CYREG_PRT12_SIO_REG_HIFREQ
nCS__SLW EQU CYREG_PRT12_SLW

/* SCLK */
SCLK__0__INTTYPE EQU CYREG_PICU12_INTTYPE0
SCLK__0__MASK EQU 0x01
SCLK__0__PC EQU CYREG_PRT12_PC0
SCLK__0__PORT EQU 12
SCLK__0__SHIFT EQU 0
SCLK__AG EQU CYREG_PRT12_AG
SCLK__BIE EQU CYREG_PRT12_BIE
SCLK__BIT_MASK EQU CYREG_PRT12_BIT_MASK
SCLK__BYP EQU CYREG_PRT12_BYP
SCLK__DM0 EQU CYREG_PRT12_DM0
SCLK__DM1 EQU CYREG_PRT12_DM1
SCLK__DM2 EQU CYREG_PRT12_DM2
SCLK__DR EQU CYREG_PRT12_DR
SCLK__INP_DIS EQU CYREG_PRT12_INP_DIS
SCLK__INTTYPE_BASE EQU CYDEV_PICU_INTTYPE_PICU12_BASE
SCLK__MASK EQU 0x01
SCLK__PORT EQU 12
SCLK__PRT EQU CYREG_PRT12_PRT
SCLK__PRTDSI__DBL_SYNC_IN EQU CYREG_PRT12_DBL_SYNC_IN
SCLK__PRTDSI__OE_SEL0 EQU CYREG_PRT12_OE_SEL0
SCLK__PRTDSI__OE_SEL1 EQU CYREG_PRT12_OE_SEL1
SCLK__PRTDSI__OUT_SEL0 EQU CYREG_PRT12_OUT_SEL0
SCLK__PRTDSI__OUT_SEL1 EQU CYREG_PRT12_OUT_SEL1
SCLK__PRTDSI__SYNC_OUT EQU CYREG_PRT12_SYNC_OUT
SCLK__PS EQU CYREG_PRT12_PS
SCLK__SHIFT EQU 0
SCLK__SIO_CFG EQU CYREG_PRT12_SIO_CFG
SCLK__SIO_DIFF EQU CYREG_PRT12_SIO_DIFF
SCLK__SIO_HYST_EN EQU CYREG_PRT12_SIO_HYST_EN
SCLK__SIO_REG_HIFREQ EQU CYREG_PRT12_SIO_REG_HIFREQ
SCLK__SLW EQU CYREG_PRT12_SLW

/* SDAT */
SDAT__0__INTTYPE EQU CYREG_PICU12_INTTYPE1
SDAT__0__MASK EQU 0x02
SDAT__0__PC EQU CYREG_PRT12_PC1
SDAT__0__PORT EQU 12
SDAT__0__SHIFT EQU 1
SDAT__AG EQU CYREG_PRT12_AG
SDAT__BIE EQU CYREG_PRT12_BIE
SDAT__BIT_MASK EQU CYREG_PRT12_BIT_MASK
SDAT__BYP EQU CYREG_PRT12_BYP
SDAT__DM0 EQU CYREG_PRT12_DM0
SDAT__DM1 EQU CYREG_PRT12_DM1
SDAT__DM2 EQU CYREG_PRT12_DM2
SDAT__DR EQU CYREG_PRT12_DR
SDAT__INP_DIS EQU CYREG_PRT12_INP_DIS
SDAT__INTTYPE_BASE EQU CYDEV_PICU_INTTYPE_PICU12_BASE
SDAT__MASK EQU 0x02
SDAT__PORT EQU 12
SDAT__PRT EQU CYREG_PRT12_PRT
SDAT__PRTDSI__DBL_SYNC_IN EQU CYREG_PRT12_DBL_SYNC_IN
SDAT__PRTDSI__OE_SEL0 EQU CYREG_PRT12_OE_SEL0
SDAT__PRTDSI__OE_SEL1 EQU CYREG_PRT12_OE_SEL1
SDAT__PRTDSI__OUT_SEL0 EQU CYREG_PRT12_OUT_SEL0
SDAT__PRTDSI__OUT_SEL1 EQU CYREG_PRT12_OUT_SEL1
SDAT__PRTDSI__SYNC_OUT EQU CYREG_PRT12_SYNC_OUT
SDAT__PS EQU CYREG_PRT12_PS
SDAT__SHIFT EQU 1
SDAT__SIO_CFG EQU CYREG_PRT12_SIO_CFG
SDAT__SIO_DIFF EQU CYREG_PRT12_SIO_DIFF
SDAT__SIO_HYST_EN EQU CYREG_PRT12_SIO_HYST_EN
SDAT__SIO_REG_HIFREQ EQU CYREG_PRT12_SIO_REG_HIFREQ
SDAT__SLW EQU CYREG_PRT12_SLW

/* nRST */
nRST__0__INTTYPE EQU CYREG_PICU12_INTTYPE2
nRST__0__MASK EQU 0x04
nRST__0__PC EQU CYREG_PRT12_PC2
nRST__0__PORT EQU 12
nRST__0__SHIFT EQU 2
nRST__AG EQU CYREG_PRT12_AG
nRST__BIE EQU CYREG_PRT12_BIE
nRST__BIT_MASK EQU CYREG_PRT12_BIT_MASK
nRST__BYP EQU CYREG_PRT12_BYP
nRST__DM0 EQU CYREG_PRT12_DM0
nRST__DM1 EQU CYREG_PRT12_DM1
nRST__DM2 EQU CYREG_PRT12_DM2
nRST__DR EQU CYREG_PRT12_DR
nRST__INP_DIS EQU CYREG_PRT12_INP_DIS
nRST__INTTYPE_BASE EQU CYDEV_PICU_INTTYPE_PICU12_BASE
nRST__MASK EQU 0x04
nRST__PORT EQU 12
nRST__PRT EQU CYREG_PRT12_PRT
nRST__PRTDSI__DBL_SYNC_IN EQU CYREG_PRT12_DBL_SYNC_IN
nRST__PRTDSI__OE_SEL0 EQU CYREG_PRT12_OE_SEL0
nRST__PRTDSI__OE_SEL1 EQU CYREG_PRT12_OE_SEL1
nRST__PRTDSI__OUT_SEL0 EQU CYREG_PRT12_OUT_SEL0
nRST__PRTDSI__OUT_SEL1 EQU CYREG_PRT12_OUT_SEL1
nRST__PRTDSI__SYNC_OUT EQU CYREG_PRT12_SYNC_OUT
nRST__PS EQU CYREG_PRT12_PS
nRST__SHIFT EQU 2
nRST__SIO_CFG EQU CYREG_PRT12_SIO_CFG
nRST__SIO_DIFF EQU CYREG_PRT12_SIO_DIFF
nRST__SIO_HYST_EN EQU CYREG_PRT12_SIO_HYST_EN
nRST__SIO_REG_HIFREQ EQU CYREG_PRT12_SIO_REG_HIFREQ
nRST__SLW EQU CYREG_PRT12_SLW

/* SCL_1 */
SCL_1__0__INTTYPE EQU CYREG_PICU4_INTTYPE6
SCL_1__0__MASK EQU 0x40
SCL_1__0__PC EQU CYREG_PRT4_PC6
SCL_1__0__PORT EQU 4
SCL_1__0__SHIFT EQU 6
SCL_1__AG EQU CYREG_PRT4_AG
SCL_1__AMUX EQU CYREG_PRT4_AMUX
SCL_1__BIE EQU CYREG_PRT4_BIE
SCL_1__BIT_MASK EQU CYREG_PRT4_BIT_MASK
SCL_1__BYP EQU CYREG_PRT4_BYP
SCL_1__CTL EQU CYREG_PRT4_CTL
SCL_1__DM0 EQU CYREG_PRT4_DM0
SCL_1__DM1 EQU CYREG_PRT4_DM1
SCL_1__DM2 EQU CYREG_PRT4_DM2
SCL_1__DR EQU CYREG_PRT4_DR
SCL_1__INP_DIS EQU CYREG_PRT4_INP_DIS
SCL_1__INTTYPE_BASE EQU CYDEV_PICU_INTTYPE_PICU4_BASE
SCL_1__LCD_COM_SEG EQU CYREG_PRT4_LCD_COM_SEG
SCL_1__LCD_EN EQU CYREG_PRT4_LCD_EN
SCL_1__MASK EQU 0x40
SCL_1__PORT EQU 4
SCL_1__PRT EQU CYREG_PRT4_PRT
SCL_1__PRTDSI__CAPS_SEL EQU CYREG_PRT4_CAPS_SEL
SCL_1__PRTDSI__DBL_SYNC_IN EQU CYREG_PRT4_DBL_SYNC_IN
SCL_1__PRTDSI__OE_SEL0 EQU CYREG_PRT4_OE_SEL0
SCL_1__PRTDSI__OE_SEL1 EQU CYREG_PRT4_OE_SEL1
SCL_1__PRTDSI__OUT_SEL0 EQU CYREG_PRT4_OUT_SEL0
SCL_1__PRTDSI__OUT_SEL1 EQU CYREG_PRT4_OUT_SEL1
SCL_1__PRTDSI__SYNC_OUT EQU CYREG_PRT4_SYNC_OUT
SCL_1__PS EQU CYREG_PRT4_PS
SCL_1__SHIFT EQU 6
SCL_1__SLW EQU CYREG_PRT4_SLW

/* SDA_1 */
SDA_1__0__INTTYPE EQU CYREG_PICU4_INTTYPE4
SDA_1__0__MASK EQU 0x10
SDA_1__0__PC EQU CYREG_PRT4_PC4
SDA_1__0__PORT EQU 4
SDA_1__0__SHIFT EQU 4
SDA_1__AG EQU CYREG_PRT4_AG
SDA_1__AMUX EQU CYREG_PRT4_AMUX
SDA_1__BIE EQU CYREG_PRT4_BIE
SDA_1__BIT_MASK EQU CYREG_PRT4_BIT_MASK
SDA_1__BYP EQU CYREG_PRT4_BYP
SDA_1__CTL EQU CYREG_PRT4_CTL
SDA_1__DM0 EQU CYREG_PRT4_DM0
SDA_1__DM1 EQU CYREG_PRT4_DM1
SDA_1__DM2 EQU CYREG_PRT4_DM2
SDA_1__DR EQU CYREG_PRT4_DR
SDA_1__INP_DIS EQU CYREG_PRT4_INP_DIS
SDA_1__INTTYPE_BASE EQU CYDEV_PICU_INTTYPE_PICU4_BASE
SDA_1__LCD_COM_SEG EQU CYREG_PRT4_LCD_COM_SEG
SDA_1__LCD_EN EQU CYREG_PRT4_LCD_EN
SDA_1__MASK EQU 0x10
SDA_1__PORT EQU 4
SDA_1__PRT EQU CYREG_PRT4_PRT
SDA_1__PRTDSI__CAPS_SEL EQU CYREG_PRT4_CAPS_SEL
SDA_1__PRTDSI__DBL_SYNC_IN EQU CYREG_PRT4_DBL_SYNC_IN
SDA_1__PRTDSI__OE_SEL0 EQU CYREG_PRT4_OE_SEL0
SDA_1__PRTDSI__OE_SEL1 EQU CYREG_PRT4_OE_SEL1
SDA_1__PRTDSI__OUT_SEL0 EQU CYREG_PRT4_OUT_SEL0
SDA_1__PRTDSI__OUT_SEL1 EQU CYREG_PRT4_OUT_SEL1
SDA_1__PRTDSI__SYNC_OUT EQU CYREG_PRT4_SYNC_OUT
SDA_1__PS EQU CYREG_PRT4_PS
SDA_1__SHIFT EQU 4
SDA_1__SLW EQU CYREG_PRT4_SLW

/* Clock_1 */
Clock_1__CFG0 EQU CYREG_CLKDIST_DCFG0_CFG0
Clock_1__CFG1 EQU CYREG_CLKDIST_DCFG0_CFG1
Clock_1__CFG2 EQU CYREG_CLKDIST_DCFG0_CFG2
Clock_1__CFG2_SRC_SEL_MASK EQU 0x07
Clock_1__INDEX EQU 0x00
Clock_1__PM_ACT_CFG EQU CYREG_PM_ACT_CFG2
Clock_1__PM_ACT_MSK EQU 0x01
Clock_1__PM_STBY_CFG EQU CYREG_PM_STBY_CFG2
Clock_1__PM_STBY_MSK EQU 0x01

/* I2C_Oled */
I2C_Oled_I2C_FF__ADR EQU CYREG_I2C_ADR
I2C_Oled_I2C_FF__CFG EQU CYREG_I2C_CFG
I2C_Oled_I2C_FF__CLK_DIV1 EQU CYREG_I2C_CLK_DIV1
I2C_Oled_I2C_FF__CLK_DIV2 EQU CYREG_I2C_CLK_DIV2
I2C_Oled_I2C_FF__CSR EQU CYREG_I2C_CSR
I2C_Oled_I2C_FF__D EQU CYREG_I2C_D
I2C_Oled_I2C_FF__MCSR EQU CYREG_I2C_MCSR
I2C_Oled_I2C_FF__PM_ACT_CFG EQU CYREG_PM_ACT_CFG5
I2C_Oled_I2C_FF__PM_ACT_MSK EQU 0x04
I2C_Oled_I2C_FF__PM_STBY_CFG EQU CYREG_PM_STBY_CFG5
I2C_Oled_I2C_FF__PM_STBY_MSK EQU 0x04
I2C_Oled_I2C_FF__TMOUT_CFG0 EQU CYREG_I2C_TMOUT_CFG0
I2C_Oled_I2C_FF__TMOUT_CFG1 EQU CYREG_I2C_TMOUT_CFG1
I2C_Oled_I2C_FF__TMOUT_CSR EQU CYREG_I2C_TMOUT_CSR
I2C_Oled_I2C_FF__TMOUT_SR EQU CYREG_I2C_TMOUT_SR
I2C_Oled_I2C_FF__XCFG EQU CYREG_I2C_XCFG
I2C_Oled_I2C_IRQ__INTC_CLR_EN_REG EQU CYREG_NVIC_CLRENA0
I2C_Oled_I2C_IRQ__INTC_CLR_PD_REG EQU CYREG_NVIC_CLRPEND0
I2C_Oled_I2C_IRQ__INTC_MASK EQU 0x8000
I2C_Oled_I2C_IRQ__INTC_NUMBER EQU 15
I2C_Oled_I2C_IRQ__INTC_PRIOR_NUM EQU 7
I2C_Oled_I2C_IRQ__INTC_PRIOR_REG EQU CYREG_NVIC_PRI_15
I2C_Oled_I2C_IRQ__INTC_SET_EN_REG EQU CYREG_NVIC_SETENA0
I2C_Oled_I2C_IRQ__INTC_SET_PD_REG EQU CYREG_NVIC_SETPEND0

/* SSD1331_master */
SSD1331_master_BSPIM_BidirMode_CtrlReg__0__MASK EQU 0x01
SSD1331_master_BSPIM_BidirMode_CtrlReg__0__POS EQU 0
SSD1331_master_BSPIM_BidirMode_CtrlReg__16BIT_CONTROL_AUX_CTL_REG EQU CYREG_B0_UDB04_05_ACTL
SSD1331_master_BSPIM_BidirMode_CtrlReg__16BIT_CONTROL_CONTROL_REG EQU CYREG_B0_UDB04_05_CTL
SSD1331_master_BSPIM_BidirMode_CtrlReg__16BIT_CONTROL_COUNT_REG EQU CYREG_B0_UDB04_05_CTL
SSD1331_master_BSPIM_BidirMode_CtrlReg__16BIT_COUNT_CONTROL_REG EQU CYREG_B0_UDB04_05_CTL
SSD1331_master_BSPIM_BidirMode_CtrlReg__16BIT_COUNT_COUNT_REG EQU CYREG_B0_UDB04_05_CTL
SSD1331_master_BSPIM_BidirMode_CtrlReg__16BIT_MASK_MASK_REG EQU CYREG_B0_UDB04_05_MSK
SSD1331_master_BSPIM_BidirMode_CtrlReg__16BIT_MASK_PERIOD_REG EQU CYREG_B0_UDB04_05_MSK
SSD1331_master_BSPIM_BidirMode_CtrlReg__16BIT_PERIOD_MASK_REG EQU CYREG_B0_UDB04_05_MSK
SSD1331_master_BSPIM_BidirMode_CtrlReg__16BIT_PERIOD_PERIOD_REG EQU CYREG_B0_UDB04_05_MSK
SSD1331_master_BSPIM_BidirMode_CtrlReg__CONTROL_AUX_CTL_REG EQU CYREG_B0_UDB04_ACTL
SSD1331_master_BSPIM_BidirMode_CtrlReg__CONTROL_REG EQU CYREG_B0_UDB04_CTL
SSD1331_master_BSPIM_BidirMode_CtrlReg__CONTROL_ST_REG EQU CYREG_B0_UDB04_ST_CTL
SSD1331_master_BSPIM_BidirMode_CtrlReg__COUNT_REG EQU CYREG_B0_UDB04_CTL
SSD1331_master_BSPIM_BidirMode_CtrlReg__COUNT_ST_REG EQU CYREG_B0_UDB04_ST_CTL
SSD1331_master_BSPIM_BidirMode_CtrlReg__MASK EQU 0x01
SSD1331_master_BSPIM_BidirMode_CtrlReg__MASK_CTL_AUX_CTL_REG EQU CYREG_B0_UDB04_MSK_ACTL
SSD1331_master_BSPIM_BidirMode_CtrlReg__PER_CTL_AUX_CTL_REG EQU CYREG_B0_UDB04_MSK_ACTL
SSD1331_master_BSPIM_BidirMode_CtrlReg__PERIOD_REG EQU CYREG_B0_UDB04_MSK
SSD1331_master_BSPIM_BitCounter__16BIT_CONTROL_AUX_CTL_REG EQU CYREG_B0_UDB00_01_ACTL
SSD1331_master_BSPIM_BitCounter__16BIT_CONTROL_CONTROL_REG EQU CYREG_B0_UDB00_01_CTL
SSD1331_master_BSPIM_BitCounter__16BIT_CONTROL_COUNT_REG EQU CYREG_B0_UDB00_01_CTL
SSD1331_master_BSPIM_BitCounter__16BIT_COUNT_CONTROL_REG EQU CYREG_B0_UDB00_01_CTL
SSD1331_master_BSPIM_BitCounter__16BIT_COUNT_COUNT_REG EQU CYREG_B0_UDB00_01_CTL
SSD1331_master_BSPIM_BitCounter__16BIT_MASK_MASK_REG EQU CYREG_B0_UDB00_01_MSK
SSD1331_master_BSPIM_BitCounter__16BIT_MASK_PERIOD_REG EQU CYREG_B0_UDB00_01_MSK
SSD1331_master_BSPIM_BitCounter__16BIT_PERIOD_MASK_REG EQU CYREG_B0_UDB00_01_MSK
SSD1331_master_BSPIM_BitCounter__16BIT_PERIOD_PERIOD_REG EQU CYREG_B0_UDB00_01_MSK
SSD1331_master_BSPIM_BitCounter__CONTROL_AUX_CTL_REG EQU CYREG_B0_UDB00_ACTL
SSD1331_master_BSPIM_BitCounter__CONTROL_REG EQU CYREG_B0_UDB00_CTL
SSD1331_master_BSPIM_BitCounter__CONTROL_ST_REG EQU CYREG_B0_UDB00_ST_CTL
SSD1331_master_BSPIM_BitCounter__COUNT_REG EQU CYREG_B0_UDB00_CTL
SSD1331_master_BSPIM_BitCounter__COUNT_ST_REG EQU CYREG_B0_UDB00_ST_CTL
SSD1331_master_BSPIM_BitCounter__MASK_CTL_AUX_CTL_REG EQU CYREG_B0_UDB00_MSK_ACTL
SSD1331_master_BSPIM_BitCounter__PER_CTL_AUX_CTL_REG EQU CYREG_B0_UDB00_MSK_ACTL
SSD1331_master_BSPIM_BitCounter__PERIOD_REG EQU CYREG_B0_UDB00_MSK
SSD1331_master_BSPIM_BitCounter_ST__16BIT_STATUS_AUX_CTL_REG EQU CYREG_B0_UDB00_01_ACTL
SSD1331_master_BSPIM_BitCounter_ST__16BIT_STATUS_REG EQU CYREG_B0_UDB00_01_ST
SSD1331_master_BSPIM_BitCounter_ST__MASK_REG EQU CYREG_B0_UDB00_MSK
SSD1331_master_BSPIM_BitCounter_ST__MASK_ST_AUX_CTL_REG EQU CYREG_B0_UDB00_MSK_ACTL
SSD1331_master_BSPIM_BitCounter_ST__PER_ST_AUX_CTL_REG EQU CYREG_B0_UDB00_MSK_ACTL
SSD1331_master_BSPIM_BitCounter_ST__STATUS_AUX_CTL_REG EQU CYREG_B0_UDB00_ACTL
SSD1331_master_BSPIM_BitCounter_ST__STATUS_CNT_REG EQU CYREG_B0_UDB00_ST_CTL
SSD1331_master_BSPIM_BitCounter_ST__STATUS_CONTROL_REG EQU CYREG_B0_UDB00_ST_CTL
SSD1331_master_BSPIM_BitCounter_ST__STATUS_REG EQU CYREG_B0_UDB00_ST
SSD1331_master_BSPIM_RxStsReg__16BIT_STATUS_AUX_CTL_REG EQU CYREG_B1_UDB04_05_ACTL
SSD1331_master_BSPIM_RxStsReg__16BIT_STATUS_REG EQU CYREG_B1_UDB04_05_ST
SSD1331_master_BSPIM_RxStsReg__4__MASK EQU 0x10
SSD1331_master_BSPIM_RxStsReg__4__POS EQU 4
SSD1331_master_BSPIM_RxStsReg__5__MASK EQU 0x20
SSD1331_master_BSPIM_RxStsReg__5__POS EQU 5
SSD1331_master_BSPIM_RxStsReg__6__MASK EQU 0x40
SSD1331_master_BSPIM_RxStsReg__6__POS EQU 6
SSD1331_master_BSPIM_RxStsReg__MASK EQU 0x70
SSD1331_master_BSPIM_RxStsReg__MASK_REG EQU CYREG_B1_UDB04_MSK
SSD1331_master_BSPIM_RxStsReg__STATUS_AUX_CTL_REG EQU CYREG_B1_UDB04_ACTL
SSD1331_master_BSPIM_RxStsReg__STATUS_REG EQU CYREG_B1_UDB04_ST
SSD1331_master_BSPIM_sR8_Dp_u0__16BIT_A0_REG EQU CYREG_B1_UDB04_05_A0
SSD1331_master_BSPIM_sR8_Dp_u0__16BIT_A1_REG EQU CYREG_B1_UDB04_05_A1
SSD1331_master_BSPIM_sR8_Dp_u0__16BIT_D0_REG EQU CYREG_B1_UDB04_05_D0
SSD1331_master_BSPIM_sR8_Dp_u0__16BIT_D1_REG EQU CYREG_B1_UDB04_05_D1
SSD1331_master_BSPIM_sR8_Dp_u0__16BIT_DP_AUX_CTL_REG EQU CYREG_B1_UDB04_05_ACTL
SSD1331_master_BSPIM_sR8_Dp_u0__16BIT_F0_REG EQU CYREG_B1_UDB04_05_F0
SSD1331_master_BSPIM_sR8_Dp_u0__16BIT_F1_REG EQU CYREG_B1_UDB04_05_F1
SSD1331_master_BSPIM_sR8_Dp_u0__A0_A1_REG EQU CYREG_B1_UDB04_A0_A1
SSD1331_master_BSPIM_sR8_Dp_u0__A0_REG EQU CYREG_B1_UDB04_A0
SSD1331_master_BSPIM_sR8_Dp_u0__A1_REG EQU CYREG_B1_UDB04_A1
SSD1331_master_BSPIM_sR8_Dp_u0__D0_D1_REG EQU CYREG_B1_UDB04_D0_D1
SSD1331_master_BSPIM_sR8_Dp_u0__D0_REG EQU CYREG_B1_UDB04_D0
SSD1331_master_BSPIM_sR8_Dp_u0__D1_REG EQU CYREG_B1_UDB04_D1
SSD1331_master_BSPIM_sR8_Dp_u0__DP_AUX_CTL_REG EQU CYREG_B1_UDB04_ACTL
SSD1331_master_BSPIM_sR8_Dp_u0__F0_F1_REG EQU CYREG_B1_UDB04_F0_F1
SSD1331_master_BSPIM_sR8_Dp_u0__F0_REG EQU CYREG_B1_UDB04_F0
SSD1331_master_BSPIM_sR8_Dp_u0__F1_REG EQU CYREG_B1_UDB04_F1
SSD1331_master_BSPIM_TxStsReg__0__MASK EQU 0x01
SSD1331_master_BSPIM_TxStsReg__0__POS EQU 0
SSD1331_master_BSPIM_TxStsReg__1__MASK EQU 0x02
SSD1331_master_BSPIM_TxStsReg__1__POS EQU 1
SSD1331_master_BSPIM_TxStsReg__16BIT_STATUS_AUX_CTL_REG EQU CYREG_B0_UDB04_05_ACTL
SSD1331_master_BSPIM_TxStsReg__16BIT_STATUS_REG EQU CYREG_B0_UDB04_05_ST
SSD1331_master_BSPIM_TxStsReg__2__MASK EQU 0x04
SSD1331_master_BSPIM_TxStsReg__2__POS EQU 2
SSD1331_master_BSPIM_TxStsReg__3__MASK EQU 0x08
SSD1331_master_BSPIM_TxStsReg__3__POS EQU 3
SSD1331_master_BSPIM_TxStsReg__4__MASK EQU 0x10
SSD1331_master_BSPIM_TxStsReg__4__POS EQU 4
SSD1331_master_BSPIM_TxStsReg__MASK EQU 0x1F
SSD1331_master_BSPIM_TxStsReg__MASK_REG EQU CYREG_B0_UDB04_MSK
SSD1331_master_BSPIM_TxStsReg__MASK_ST_AUX_CTL_REG EQU CYREG_B0_UDB04_MSK_ACTL
SSD1331_master_BSPIM_TxStsReg__PER_ST_AUX_CTL_REG EQU CYREG_B0_UDB04_MSK_ACTL
SSD1331_master_BSPIM_TxStsReg__STATUS_AUX_CTL_REG EQU CYREG_B0_UDB04_ACTL
SSD1331_master_BSPIM_TxStsReg__STATUS_CNT_REG EQU CYREG_B0_UDB04_ST_CTL
SSD1331_master_BSPIM_TxStsReg__STATUS_CONTROL_REG EQU CYREG_B0_UDB04_ST_CTL
SSD1331_master_BSPIM_TxStsReg__STATUS_REG EQU CYREG_B0_UDB04_ST

/* Miscellaneous */
BCLK__BUS_CLK__HZ EQU 80000000
BCLK__BUS_CLK__KHZ EQU 80000
BCLK__BUS_CLK__MHZ EQU 80
CYDEV_CHIP_DIE_LEOPARD EQU 1
CYDEV_CHIP_DIE_PSOC4A EQU 21
CYDEV_CHIP_DIE_PSOC5LP EQU 2
CYDEV_CHIP_DIE_PSOC5TM EQU 3
CYDEV_CHIP_DIE_TMA4 EQU 4
CYDEV_CHIP_DIE_UNKNOWN EQU 0
CYDEV_CHIP_FAMILY_FM0P EQU 5
CYDEV_CHIP_FAMILY_FM3 EQU 6
CYDEV_CHIP_FAMILY_FM4 EQU 7
CYDEV_CHIP_FAMILY_PSOC3 EQU 1
CYDEV_CHIP_FAMILY_PSOC4 EQU 2
CYDEV_CHIP_FAMILY_PSOC5 EQU 3
CYDEV_CHIP_FAMILY_PSOC6 EQU 4
CYDEV_CHIP_FAMILY_UNKNOWN EQU 0
CYDEV_CHIP_FAMILY_USED EQU CYDEV_CHIP_FAMILY_PSOC5
CYDEV_CHIP_JTAG_ID EQU 0x2E160069
CYDEV_CHIP_MEMBER_3A EQU 1
CYDEV_CHIP_MEMBER_4A EQU 21
CYDEV_CHIP_MEMBER_4D EQU 16
CYDEV_CHIP_MEMBER_4E EQU 6
CYDEV_CHIP_MEMBER_4F EQU 22
CYDEV_CHIP_MEMBER_4G EQU 4
CYDEV_CHIP_MEMBER_4H EQU 20
CYDEV_CHIP_MEMBER_4I EQU 26
CYDEV_CHIP_MEMBER_4J EQU 17
CYDEV_CHIP_MEMBER_4K EQU 18
CYDEV_CHIP_MEMBER_4L EQU 25
CYDEV_CHIP_MEMBER_4M EQU 24
CYDEV_CHIP_MEMBER_4N EQU 11
CYDEV_CHIP_MEMBER_4O EQU 8
CYDEV_CHIP_MEMBER_4P EQU 23
CYDEV_CHIP_MEMBER_4Q EQU 14
CYDEV_CHIP_MEMBER_4R EQU 9
CYDEV_CHIP_MEMBER_4S EQU 12
CYDEV_CHIP_MEMBER_4T EQU 10
CYDEV_CHIP_MEMBER_4U EQU 5
CYDEV_CHIP_MEMBER_4V EQU 19
CYDEV_CHIP_MEMBER_4W EQU 13
CYDEV_CHIP_MEMBER_4X EQU 7
CYDEV_CHIP_MEMBER_4Y EQU 15
CYDEV_CHIP_MEMBER_5A EQU 3
CYDEV_CHIP_MEMBER_5B EQU 2
CYDEV_CHIP_MEMBER_6A EQU 27
CYDEV_CHIP_MEMBER_FM3 EQU 31
CYDEV_CHIP_MEMBER_FM4 EQU 32
CYDEV_CHIP_MEMBER_PDL_FM0P_TYPE1 EQU 28
CYDEV_CHIP_MEMBER_PDL_FM0P_TYPE2 EQU 29
CYDEV_CHIP_MEMBER_PDL_FM0P_TYPE3 EQU 30
CYDEV_CHIP_MEMBER_UNKNOWN EQU 0
CYDEV_CHIP_MEMBER_USED EQU CYDEV_CHIP_MEMBER_5B
CYDEV_CHIP_DIE_EXPECT EQU CYDEV_CHIP_MEMBER_USED
CYDEV_CHIP_DIE_ACTUAL EQU CYDEV_CHIP_DIE_EXPECT
CYDEV_CHIP_REV_LEOPARD_ES1 EQU 0
CYDEV_CHIP_REV_LEOPARD_ES2 EQU 1
CYDEV_CHIP_REV_LEOPARD_ES3 EQU 3
CYDEV_CHIP_REV_LEOPARD_PRODUCTION EQU 3
CYDEV_CHIP_REV_PSOC4A_ES0 EQU 17
CYDEV_CHIP_REV_PSOC4A_PRODUCTION EQU 17
CYDEV_CHIP_REV_PSOC5LP_ES0 EQU 0
CYDEV_CHIP_REV_PSOC5LP_PRODUCTION EQU 0
CYDEV_CHIP_REV_PSOC5TM_ES0 EQU 0
CYDEV_CHIP_REV_PSOC5TM_ES1 EQU 1
CYDEV_CHIP_REV_PSOC5TM_PRODUCTION EQU 1
CYDEV_CHIP_REV_TMA4_ES EQU 17
CYDEV_CHIP_REV_TMA4_ES2 EQU 33
CYDEV_CHIP_REV_TMA4_PRODUCTION EQU 17
CYDEV_CHIP_REVISION_3A_ES1 EQU 0
CYDEV_CHIP_REVISION_3A_ES2 EQU 1
CYDEV_CHIP_REVISION_3A_ES3 EQU 3
CYDEV_CHIP_REVISION_3A_PRODUCTION EQU 3
CYDEV_CHIP_REVISION_4A_ES0 EQU 17
CYDEV_CHIP_REVISION_4A_PRODUCTION EQU 17
CYDEV_CHIP_REVISION_4D_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4E_CCG2_NO_USBPD EQU 0
CYDEV_CHIP_REVISION_4E_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4F_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4F_PRODUCTION_256DMA EQU 0
CYDEV_CHIP_REVISION_4F_PRODUCTION_256K EQU 0
CYDEV_CHIP_REVISION_4G_ES EQU 17
CYDEV_CHIP_REVISION_4G_ES2 EQU 33
CYDEV_CHIP_REVISION_4G_PRODUCTION EQU 17
CYDEV_CHIP_REVISION_4H_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4I_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4J_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4K_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4L_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4M_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4N_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4O_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4P_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4Q_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4R_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4S_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4T_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4U_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4V_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4W_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4X_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4Y_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_5A_ES0 EQU 0
CYDEV_CHIP_REVISION_5A_ES1 EQU 1
CYDEV_CHIP_REVISION_5A_PRODUCTION EQU 1
CYDEV_CHIP_REVISION_5B_ES0 EQU 0
CYDEV_CHIP_REVISION_5B_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_6A_ES EQU 17
CYDEV_CHIP_REVISION_6A_NO_UDB EQU 33
CYDEV_CHIP_REVISION_6A_PRODUCTION EQU 33
CYDEV_CHIP_REVISION_FM3_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_FM4_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_PDL_FM0P_TYPE1_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_PDL_FM0P_TYPE2_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_PDL_FM0P_TYPE3_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_USED EQU CYDEV_CHIP_REVISION_5B_PRODUCTION
CYDEV_CHIP_REV_EXPECT EQU CYDEV_CHIP_REVISION_USED
CYDEV_CONFIG_FASTBOOT_ENABLED EQU 1
CYDEV_CONFIG_UNUSED_IO_AllowButWarn EQU 0
CYDEV_CONFIG_UNUSED_IO EQU CYDEV_CONFIG_UNUSED_IO_AllowButWarn
CYDEV_CONFIG_UNUSED_IO_AllowWithInfo EQU 1
CYDEV_CONFIG_UNUSED_IO_Disallowed EQU 2
CYDEV_CONFIGURATION_COMPRESSED EQU 1
CYDEV_CONFIGURATION_DMA EQU 0
CYDEV_CONFIGURATION_ECC EQU 1
CYDEV_CONFIGURATION_IMOENABLED EQU CYDEV_CONFIG_FASTBOOT_ENABLED
CYDEV_CONFIGURATION_MODE_COMPRESSED EQU 0
CYDEV_CONFIGURATION_MODE EQU CYDEV_CONFIGURATION_MODE_COMPRESSED
CYDEV_CONFIGURATION_MODE_DMA EQU 2
CYDEV_CONFIGURATION_MODE_UNCOMPRESSED EQU 1
CYDEV_DEBUG_ENABLE_MASK EQU 0x20
CYDEV_DEBUG_ENABLE_REGISTER EQU CYREG_MLOGIC_DEBUG
CYDEV_DEBUGGING_DPS_Disable EQU 3
CYDEV_DEBUGGING_DPS_JTAG_4 EQU 1
CYDEV_DEBUGGING_DPS_JTAG_5 EQU 0
CYDEV_DEBUGGING_DPS_SWD EQU 2
CYDEV_DEBUGGING_DPS_SWD_SWV EQU 6
CYDEV_DEBUGGING_DPS EQU CYDEV_DEBUGGING_DPS_SWD_SWV
CYDEV_DEBUGGING_ENABLE EQU 1
CYDEV_DEBUGGING_XRES EQU 0
CYDEV_DMA_CHANNELS_AVAILABLE EQU 24
CYDEV_ECC_ENABLE EQU 0
CYDEV_HEAP_SIZE EQU 0x0400
CYDEV_INSTRUCT_CACHE_ENABLED EQU 1
CYDEV_INTR_RISING EQU 0x00008000
CYDEV_IS_EXPORTING_CODE EQU 0
CYDEV_IS_IMPORTING_CODE EQU 0
CYDEV_PROJ_TYPE EQU 0
CYDEV_PROJ_TYPE_BOOTLOADER EQU 1
CYDEV_PROJ_TYPE_LAUNCHER EQU 5
CYDEV_PROJ_TYPE_LOADABLE EQU 2
CYDEV_PROJ_TYPE_LOADABLEANDBOOTLOADER EQU 4
CYDEV_PROJ_TYPE_MULTIAPPBOOTLOADER EQU 3
CYDEV_PROJ_TYPE_STANDARD EQU 0
CYDEV_PROTECTION_ENABLE EQU 0
CYDEV_STACK_SIZE EQU 0x1000
CYDEV_USE_BUNDLED_CMSIS EQU 1
CYDEV_VARIABLE_VDDA EQU 0
CYDEV_VDDA_MV EQU 5000
CYDEV_VDDD_MV EQU 3300
CYDEV_VDDIO0_MV EQU 3300
CYDEV_VDDIO1_MV EQU 3300
CYDEV_VDDIO2_MV EQU 3300
CYDEV_VDDIO3_MV EQU 3300
CYDEV_VIO0_MV EQU 3300
CYDEV_VIO1_MV EQU 3300
CYDEV_VIO2_MV EQU 3300
CYDEV_VIO3_MV EQU 3300
CYIPBLOCK_ARM_CM3_VERSION EQU 0
CYIPBLOCK_P3_ANAIF_VERSION EQU 0
CYIPBLOCK_P3_CAN_VERSION EQU 0
CYIPBLOCK_P3_CAPSENSE_VERSION EQU 0
CYIPBLOCK_P3_COMP_VERSION EQU 0
CYIPBLOCK_P3_DECIMATOR_VERSION EQU 0
CYIPBLOCK_P3_DFB_VERSION EQU 0
CYIPBLOCK_P3_DMA_VERSION EQU 0
CYIPBLOCK_P3_DRQ_VERSION EQU 0
CYIPBLOCK_P3_DSM_VERSION EQU 0
CYIPBLOCK_P3_EMIF_VERSION EQU 0
CYIPBLOCK_P3_I2C_VERSION EQU 0
CYIPBLOCK_P3_LCD_VERSION EQU 0
CYIPBLOCK_P3_LPF_VERSION EQU 0
CYIPBLOCK_P3_OPAMP_VERSION EQU 0
CYIPBLOCK_P3_PM_VERSION EQU 0
CYIPBLOCK_P3_SCCT_VERSION EQU 0
CYIPBLOCK_P3_TIMER_VERSION EQU 0
CYIPBLOCK_P3_USB_VERSION EQU 0
CYIPBLOCK_P3_VIDAC_VERSION EQU 0
CYIPBLOCK_P3_VREF_VERSION EQU 0
CYIPBLOCK_S8_GPIO_VERSION EQU 0
CYIPBLOCK_S8_IRQ_VERSION EQU 0
CYIPBLOCK_S8_SAR_VERSION EQU 0
CYIPBLOCK_S8_SIO_VERSION EQU 0
CYIPBLOCK_S8_UDB_VERSION EQU 0
DMA_CHANNELS_USED__MASK0 EQU 0x00000000
CYDEV_BOOTLOADER_ENABLE EQU 0

#endif /* INCLUDED_CYFITTERIAR_INC */
